Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Class SliceThread

    java.lang.Object
      java.lang.Thread
          org.apache.openjpa.slice.SliceThread

All Implemented Interfaces:
  Runnable

    public class SliceThread

extends Thread

A thread to execute operation against each database slice.

Author:
  Pinaki Poddar

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SliceThread(String name, Thread parent, Runnable r)`
`SliceThread(Thread parent, Runnable r)`

Method Summary
`Thread` | `getParent()` Gets the parent thread of this receiver.
`static ExecutorService` | `getPool()` Create a cached pool of slice threads.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SliceThread

    public SliceThread(String name,
                       Thread parent,
                       Runnable r)

### SliceThread

    public SliceThread(Thread parent,
                       Runnable r)

Method Detail

### getParent

    public Thread getParent()

  Gets the parent thread of this receiver.

### getPool

    public static ExecutorService getPool()

  Create a cached pool of slice threads. The thread factory creates specialized threads for preferential locking treatment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.